Intellij Idea中编译报usage of api documented as @since错误的两个解决方法:

Intellij Idea中编译报usage of api documented as @since错误的两个解决方法:

使用下面这个链接提供的方法:

http://stackoverflow.com/questions/24217611/make-intellij-idea-allow-lambda-in-java-5-6-7-language-level-with-ide-support

这种方法是关闭或降级对这项的检测,如果你想保留的话,使用第二种方案. 我本人没有尝试过这种方案.

选择要更改的模块

–>调出Project Structure(我的快捷键是F12,使用Eclipse迁移的快捷键方案)

–>在Modules菜单中右侧可发现language level选项,将值选择为你目前的情况.

–>在选择后会出现编译失败的情况,打开setting

–>选择Java Compiler–>Target bytecode version改成相对应的选项.